
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TTaskRoleType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TTaskRoleType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="applicant"/>
 *     &lt;enumeration value="sender"/>
 *     &lt;enumeration value="recipient"/>
 *     &lt;enumeration value="instructor"/>
 *     &lt;enumeration value="requestDocument"/>
 *     &lt;enumeration value="requestSignature"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TTaskRoleType")
@XmlEnum
public enum TTaskRoleType {

    @XmlEnumValue("applicant")
    APPLICANT("applicant"),
    @XmlEnumValue("sender")
    SENDER("sender"),
    @XmlEnumValue("recipient")
    RECIPIENT("recipient"),
    @XmlEnumValue("instructor")
    INSTRUCTOR("instructor"),
    @XmlEnumValue("requestDocument")
    REQUEST_DOCUMENT("requestDocument"),
    @XmlEnumValue("requestSignature")
    REQUEST_SIGNATURE("requestSignature");
    private final String value;

    TTaskRoleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TTaskRoleType fromValue(String v) {
        for (TTaskRoleType c: TTaskRoleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
